return {
    {
        "SmiteshP/nvim-navic",
        init = function()
            vim.g.navic_silence = true
            require("lazyvim.util").lsp.on_attach(function(client, buffer)
                if client.supports_method("textDocument/documentSymbol") then
                    require("nvim-navic").attach(client, buffer)
                end
            end)
        end,
        opts = {
            highlight = true,
            icons = require("lazyvim.config").icons.kinds,
            separator = "  ",
            depth_limit = 5,
        }
    }
}
